Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Interface ImageHandlerBase

All Known Subinterfaces:
  ImageHandler, PSImageHandler

All Known Implementing Classes:
  AbstractAFPImageHandlerRawStream, AbstractImageHandlerGraphics2D, AFPImageHandler, AFPImageHandlerGraphics2D, AFPImageHandlerRawCCITTFax, AFPImageHandlerRawJPEG, AFPImageHandlerRawStream, AFPImageHandlerRenderedImage, AFPImageHandlerSVG, EmbeddedSVGImageHandler, Java2DImageHandlerGraphics2D, Java2DImageHandlerRenderedImage, PCLImageHandlerGraphics2D, PCLImageHandlerRenderedImage, PDFImageHandlerGraphics2D, PDFImageHandlerRawCCITTFax, PDFImageHandlerRawJPEG, PDFImageHandlerRawPNG, PDFImageHandlerRenderedImage, PDFImageHandlerSVG, PSImageHandlerEPS, PSImageHandlerGraphics2D, PSImageHandlerRawCCITTFax, PSImageHandlerRawJPEG, PSImageHandlerRawPNG, PSImageHandlerRenderedImage, PSImageHandlerSVG, SVGDataUrlImageHandler

    public interface ImageHandlerBase

This interface is a service provider base interface for image handlers. It only contains methods necessary for registration and is extended by sub-interfaces with the actual image handling contract.

Method Summary
`int` | `getPriority()` Returns the priority for this image handler.
`java.lang.Class` | `getSupportedImageClass()` Returns the `Class` subclass supported by this instance.
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedImageFlavors()` Returns the `ImageFlavor`s supported by this instance

Method Detail

### getPriority

    int getPriority()

  Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.

  Returns:
    a positive integer (>0) indicating the priority

### getSupportedImageFlavors

    org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedImageFlavors()

  Returns the `ImageFlavor`s supported by this instance

  Returns:
    the supported image flavors

### getSupportedImageClass

    java.lang.Class getSupportedImageClass()

  Returns the `Class` subclass supported by this instance.

  Returns:
    the image Class type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.